1. Visa Alias
Ukrcard en
  • Introduction
  • Getting Started
  • References
    • Setting up and using the callback service
    • Transaction processing flows
    • Response Codes
    • Test Data
  • WSGATE (Payments API)
    • General Concepts
    • Connectivity and mTLS Certificates
    • Merchant dashboard
    • Recipes
    • E-Commerce acquiring
      • /Payment
      • /Preauthorization
      • /CancelPreauthorization
      • /Completion
      • /Confirm
      • /ConfirmExt
      • /Reverse
      • /Refund
      • /Verify
    • Transfers
      • /р2рTransfer
      • /Confirm
      • /ConfirmExt
      • /Reverse
      • /Refund
      • /Verify
    • Cards and accounts (UAPI)
      • /cards/issuacevirtualcard (140-Request for issuance of a virtual card)
      • /cards/issuacephysicalcard (141-Request for a physical card)
      • /cards/{panid}/baseparam/status (111-Request/change card status)
      • /cards/getcarddataecom (138-Request card details for eCommerce)
      • /cards/setpin (137-Request to set a PIN on a card)
      • /cards/changepin (136-Ordering a card PIN change and sending it via SMS )
      • /cards/gettransactions (122-Request for transaction history)
      • /cards/{panid}/baseparam/limits (112-Request/change card limits)
    • Payment transactions using tokens
      • /Payment
      • /Preauthorization
      • /Confirm
      • /ConfirmExt
      • /р2рTransfer
      • /Panbytoken
    • Apple Pay
      • /PaymentAppleD
      • /PaymentAppleE
      • /p2pTransferAppleD
      • /p2pTransferAppleE
    • Google Pay
      • /PaymentGoogleD
      • /PaymentGoogleE
      • /p2pTransferGoogleD
      • /p2pTransferGoogleE
    • Visa Alias
      • /Inquiry
        POST
      • /Resolve
        POST
  • UAPI (Cards & Accounts API)
  1. Visa Alias

/Resolve

Developing
POST
/Resolve
Alias Resolve - Retrieve information about an Alias and the payment credential(s) associated with the Alias. This information can then be used to initiate a funds movement transaction. The parameters in the response may vary depending on the program configuration.

Request

Header Params

Body Params application/jsonRequired

Example
{
    "aliasValue": "1231231234",
    "transactionDetails": {
        "currencyCode": "USD"
    },
    "aliasType": "PHONE",
    "userDetails": {
        "userName": "username1234"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://mock.apidog.com/m1/537337-0-default/Resolve' \
--header 'ExtSystemid: ECOM_GOLD_BANK' \
--header 'login: SECURE_LOGIN' \
--header 'password: SECURE_PASSWORD' \
--header 'orderNumber: 1234' \
--header 'RegDate: 2023-09-12 12:16:00	' \
--header 'x-uws-clientdn: GOLDENBANK' \
--header 'charset: UTF-8' \
--header 'accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
    "aliasValue": "1231231234",
    "transactionDetails": {
        "currencyCode": "USD"
    },
    "aliasType": "PHONE",
    "userDetails": {
        "userName": "username1234"
    }
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "orderId": "587985",
    "directoryName": "STANDARD_VISA",
    "paymentCredentials": [
        {
            "type": "CARD",
            "cardType": "Visa Platinum",
            "issuerName": "Bank A",
            "nameOnCard": "John Doe",
            "accountNumber": "41111111****1142",
            "expirationDate": "2030-01",
            "lastFourDigits": "1142",
            "accountNumberType": "PAN"
        }
    ],
    "profile": {
        "firstName": "Alex",
        "lastName": "M",
        "middleName": "Robert",
        "contactInfo": [
            {
                "type": "PHONE",
                "value": "1231234321"
            }
        ],
        "dateOfBirth": "1980-02-01"
    },
    "identification": {
        "type": "PASSPORT",
        "value": "A123456",
        "verificationDetails": {
            "authDateTime": "2021-01-01T22:52:46.000Z",
            "verifiedEmail": true,
            "verifiedPhone": false
        }
    },
    "tokenInfo": {
        "tokenid": "503226",
        "tokenexpiry": "2026-02-24T19:01:07",
        "token": "eyJhbGciOi..."
    }
}
Modified at 2026-08-28 09:33:18
Previous
/Inquiry
Built with